-- @start_restricted_prolog@
-- Licensed Materials - Property of IBM
-- 
-- 5724-I82 5724-L01 5655-N53 5655-R15 5655-N63               
-- Copyright IBM Corporation 2006 All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- @end_restricted_prolog@

-- DB2UDB for z/OS V9.1 schema for Message Logger Mediation

-- V_DBNAME             DBName
-- V_DBSTORAGEGROUP     StorageGroup
-- V_SQLID              SQLID

-- Create Tablespaces
CREATE TABLESPACE ESBTS
 IN V_DBNAME
 USING STOGROUP V_DBSTORAGEGROUP
 CCSID UNICODE
 SEGSIZE 32
 DEFINE NO
 LOCKSIZE ANY
 BUFFERPOOL BP1;

CREATE LOB TABLESPACE ESBCLOB
 IN V_DBNAME
 USING STOGROUP V_DBSTORAGEGROUP
 LOCKSIZE LOB
 BUFFERPOOL BP3;

-- Create Tables
CREATE TABLE V_SQLID.MSGLOG
  (TIMESTAMP TIMESTAMP NOT NULL,
   MESSAGEID VARCHAR(36) NOT NULL,
   MEDIATIONNAME VARCHAR(256) NOT NULL,
   MODULENAME VARCHAR(256),
   MESSAGE CLOB(100000K),
   VERSION VARCHAR(10),
CONSTRAINT PK_MSGLOG PRIMARY KEY (MESSAGEID, TIMESTAMP, MEDIATIONNAME))
   IN V_DBNAME.ESBTS;

CREATE UNIQUE INDEX V_SQLID.MSGLOG_INDEX_PK 
ON V_SQLID.MSGLOG (MESSAGEID, TIMESTAMP, MEDIATIONNAME)
 USING STOGROUP V_DBSTORAGEGROUP
 DEFINE NO
 BUFFERPOOL BP2
 NOT PADDED;

-- Create AUX CLOB Tables/Index 
CREATE AUX TABLE V_SQLID.MESSAGECLOB
 IN V_DBNAME.ESBCLOB STORES V_SQLID.MSGLOG COLUMN MESSAGE;

CREATE INDEX V_SQLID.MESSAGECLOB_IDX ON V_SQLID.MESSAGECLOB
 USING STOGROUP V_DBSTORAGEGROUP
 BUFFERPOOL BP2;

